Subject: Re: Solution to issue with apache and mod_php4
From: Charles Wilson <[email-masked]>
To: [email-masked]
Date: Sat, 29 Jun 2002 22:53:59 -0400
Newsgroups: gmane.os.cygwin

Grant Kaufmann wrote:

> Using apache-php-4.2.0-1 and apache-1.3.24-5, I ran into a problem
> whereby Apache wouldn't run with php being LoadModule and AddModule'ed.
> The error message on "apachectl start" (or just running httpd) was:
>   Cannot load /usr/lib/apache/libphp4.dll into server: dlopen: Win32
> error 126
> 
> I ran DependencyWalker (http://www.dependencywalker.com/), which showed
> that /usr/lib/apache/libphp4.dll had a missing dependency of
> "cygbz21.0.dll". I saw that there was a "/bin/cygbz2-1.dll", so I just
> ran:
> "cp /bin/cygbz2-1.dll /bin/cygbz21.0.dll", and everything seemed to
> worked.
> 
> So it looks like the PHP DLL was linked against a cygbz2 DLL with a
> different name. It looks like the PHP is working now, but I haven't
> tested any bz2 routines from within PHP, so couldn't be certain.

cygbz21.0.dll is in the libbz2_0-1.0.2-1 package.

Whenever "DLL not found" errors arise with cygwin, it is invariably 
because you have not installed all of the correct packages.  Your first 
step should be to check http://www.cygwin.com/packages/

NEVER rename or copy DLLs.

--Chuck
bzip maintainer

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/